Connexion

Forum

Logiciels » Autres logiciels php-pdo_mysql 7.2.14 info pour son installation ,activer core backports

moment magnetique Membre non connecté

Rang

Avatar

Inscrit le : 06/10/2012 à 14h44

Messages: 212

Le 03/04/2019 à 20h14
Bonjour à tous ,

info pour ceux qui bidouillent en ce moment sur lamp et l'acces aux bases de données mysql via PDO , quand on fait un info.php

à PDO drivers on a un " no value "

actuellement( car peut être faux d'ici quelques semaines ) , sous mageia6 pour pouvoir installer php-pdo_mysql 7.2.14 il faut cocher dans les sources core backports sinon seules les versions jusqu'à 5.40 sont disponibles , et on se retrouve dans l'impossibilité d'ouvrir des bases de données sous php via PDO .

Je m'en suis rendu compte parce que sous mageia 7 la version 7.3.3 est installée d'office sans backports activé .

a+


edit : oups un petit oublie de ma part . Il ne faut pas oublier d'insérer la ligne " extension=pdo_mysql.so" dans le fichier /etc/php.d/73_pdo_mysql.ini

puis redémarrer le service httpd Edité par moment magnetique Le 03/04/2019 à 20h22
   
Papoteur Membre non connecté

Rang

Avatar

Modérateur Équipe Mageia

Inscrit le : 03/10/2011 à 22h16

Localisation : Metz

Messages: 6822

Le 03/04/2019 à 21h15
Bonjour,
Je ne comprends pas bien.
Oui, on a PHP 7.2 dans les backports. Concernant PDO, il suffit d'installer normalement php-pdo-mysql, et tout doit se configurer à l'installation.


Yves
   
moment magnetique Membre non connecté

Rang

Avatar

Inscrit le : 06/10/2012 à 14h44

Messages: 212

Le 03/04/2019 à 21h38


Bonsoir ,

effectivement il suffit d'installer php-pdo-mysql , mais il faut que la source core backports soit coché (pour avoir la dernière version) , ce qui n'était pas mon cas , car je l'avais laissé par défaut décoché . Donc je donne le tuyau au cas où quelqu'un d'autre rencontre le même blocage .Dès fois la solution est simple et sous les yeux mais on met du temps à activer les neurones :gene: ... enfin dans mon cas .


EDIt : je précise pour php 7.2 il est fourni d'office task lamp sans avoir besoin des sources core backports . par contre pour php-pdo-mysql sans les sources core backport la version dispo s'arrête à 5.40 , obligé de cocher core backports pour avoir php-pdo-mysql 7.2.14 . Edité par moment magnetique Le 03/04/2019 à 21h44
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie